Relesys API Docs

v1.3

https://api.relesystest.net/api/v1.3

Content

Update
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.relesystest.net/api/v1.3/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"4cfde286-8bcb-493c-bc3c-7b84538ab366","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["06c6f23e-c4e5-4f65-9200-18590206b9de"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"edd0df68-19ee-4071-b2b2-c2ba003cb84f","url":null,"userId":"2aefe3e3-781c-4daa-b532-80771c1dd942","userUrl":null,"categoryId":"0f56b19d-c496-4766-b380-1ea9e988f73d","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-04-15T10:50:08.9976841+00:00","lastModifiedDateTime":"2026-04-16T06:50:08.9976841+00:00","availableFrom":"2026-04-16T10:50:08","startDateTimeZone":null,"availableUntil":"2026-04-17T10:50:08","endDateTimeZone":null,"medias":[{"id":"745b6f28-ba6b-48a9-bcf7-830ef6863255","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"8449d1e7-909c-487e-9f8f-2782d337f199","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"f8c34180-c024-49ea-bc6b-82302da22636","url":null},{"type":"Department","name":"Department name example","id":"e93cf861-ab45-475f-a740-c50e3d3b17e8","url":null},{"type":"User group","name":"User group name example","id":"2783acc6-b69a-42a8-b1b7-7c5f462a82c2","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"f035564e-4c4c-4f15-8535-f62df269577f"}],"userGroups":[{"url":null,"name":"User group name example","id":"9862739a-0d40-4e96-a272-7cc678509d19"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string